package envoy.client.event;

/**
 * Project: <strong>envoy-client</strong><br>
 * File: <strong>OnCloseChangeEvent.java</strong><br>
 * Created: <strong>22 Dec 2019</strong><br>
 *
 * @author Maximilian K&auml;fer
 * @since Envoy v0.3-alpha
 */
public class OnCloseChangeEvent implements Event<Boolean> {

	private boolean closeMode;

	/**
	 * @param closeMode This is the on close mode for the client, that should be
	 *                  set.
	 *                  </br>
	 *                  true = ExitOnClose </br>
	 *                  false = HideOnClose
	 * @since Envoy 0.3-alpha
	 */
	public OnCloseChangeEvent(boolean closeMode) { this.closeMode = closeMode; }

	@Override
	public Boolean get() { return closeMode; }

}
